﻿Imports System.ComponentModel.DataAnnotations

Public Class ViewModelChangePassword
    <Required(ErrorMessage:=AnnotationMeetingRoom.Required_ErrorMessage_OPERATOR_ID)> _
    Public Property OPERATOR_ID As String

    <Required(ErrorMessage:=AnnotationMeetingRoom.Required_ErrorMessage_OLD_PASSWORD)> _
    <CorrectPassword("OPERATOR_ID", "OLD_PASSWORD", ErrorMessage:=AnnotationMeetingRoom.CorrectPassword_ErrorMessage_PASSWORD)>
    Public Property OLD_PASSWORD As String

    <Required(ErrorMessage:=AnnotationMeetingRoom.Required_ErrorMessage_PASSWORD)> _
    <ValidatePassword(ErrorMessage:=AnnotationMeetingRoom.ValidatePassword_ErrorMessage_NEW_PASSWORD)>
    Public Property NEW_PASSWORD As String

    <Required(ErrorMessage:=AnnotationMeetingRoom.Required_ErrorMessage_NEW_PASSWORD2)> _
    <SameValue("NEW_PASSWORD", "NEW_PASSWORD2", ErrorMessage:=AnnotationMeetingRoom.SameValue_ErrorMessage_NEW_PASSWORD)> _
    Public Property NEW_PASSWORD2 As String

    Public Property MASKED_PASSWORD As String

End Class
