﻿Imports System.ComponentModel.DataAnnotations

Public Class ViewModelNewRoom
    <Required(ErrorMessage:=AnnotationMeetingRoom.Required_ErrorMessage_ROOM_NAME)> _
    <StringLength(40, ErrorMessage:=AnnotationMeetingRoom.MaxLength_ErrorMessage_ROOM_NAME)>
    <IncludeSpecialCharacter(ErrorMessage:=AnnotationMeetingRoom.IncludeSpecialCharacter_ErrorMessage_ROOM_NAME)>
    Public Property ROOM_NAME As String

    <Required(ErrorMessage:=AnnotationMeetingRoom.Required_ErrorMessage_COMMENT)> _
    <StringLength(256, ErrorMessage:=AnnotationMeetingRoom.MaxLength_ErrorMessage_COMMENT)>
    <IncludeSpecialCharacter(ErrorMessage:=AnnotationMeetingRoom.IncludeSpecialCharacter_ErrorMessage_COMMENT)>
    Public Property COMMENT As String

    Public Property BUILDING As Integer
    Public Property BUILDING_COMBOBOX As IEnumerable(Of SelectListItem)
    Public Property BUILDING_NAME As String

    <StartEnd("START_TIME", "END_TIME", ErrorMessage:=AnnotationMeetingRoom.StartEnd_ErrorMessage_TIME)>
    Public Property START_TIME As String
    Public Property START_TIME_COMBOBOX As IEnumerable(Of SelectListItem)

    Public Property END_TIME As String
    Public Property END_TIME_COMBOBOX As IEnumerable(Of SelectListItem)

End Class
