﻿@ModelType MeetingRoomMVC4.ViewModelEditReservation 
@Code
    ViewData("Title") = "予約のキャンセル"
End Code
@Scripts.Render("~/Scripts/reservation.js")
<h2>予約のキャンセル</h2>
@Using Html.BeginForm()
    @<input type="submit" name="button" value="戻る" /> 
    @<table class="grid-table">
        <tr>
            <th></th>
            <th>ビル名</th>
            <th>会議室名</th>
            <th>予約者</th>
            <th>予約日付</th>
            <th>予約時間</th>
        </tr>
        @code
            For Each item In Model.RESERVATION
        End Code
        <tr>
            <td><input id="removeReservation" name="remove_@item.SEQ_ID"  type="submit" value="取消" /></td> 
            <td>@Html.Label(item.Building)</td>
            <td>@Html.Label(item.Room)</td>
            <td>@Html.Label(item.Person)</td>
            <td>@Html.Label(item.ReserveDate.ToString.Substring(0, 4) & "/" & item.ReserveDate.ToString.Substring(4, 2) & "/" & item.ReserveDate.ToString.Substring(6, 2))</td>
            <td>@Html.Label(item.ReserveStartTime.ToString.Substring(0, 2) & ":" & item.ReserveStartTime.ToString.Substring(2, 2) & "～" & item.ReserveEndTime.ToString.Substring(0, 2) & ":" & item.ReserveEndTime.ToString.Substring(2, 2))</td>
        </tr>
        @code
        Next
        End Code
    </table> 
End Using