﻿@ModelType MeetingRoomMVC4.ViewModelBuilding  
@Code
    ViewData("Title") = "ビルの編集"
    Layout = "~/Views/Shared/_Layout.vbhtml"

    Dim grid = New WebGrid(Nothing, rowsPerPage:=Model.PageSize, canPage:=True)
    If Not Model.BUILDING Is Nothing Then
        grid.Bind(Model.BUILDING, rowCount:=Model.ItemCount, autoSortAndPage:=False)
    End If

End Code

<h2>ビルの編集</h2>
@Using Html.BeginForm()
    @<input type="submit" name="button" value="検索" />@<input type="submit" name="button" value="新規登録" />
    
    @code
        If Not Model.BUILDING Is Nothing Then
    End Code
    @grid.GetHtml(tableStyle:="grid-table",
                    columns:=grid.Columns(
                    grid.Column(header:="編集", format:=Function(item) Html.ActionLink("編集", "EditBuilding", New With {.id = item.SEQ_ID})), _
                    grid.Column(header:="SEQ_ID", format:=Function(item) item.SEQ_ID), _
                    grid.Column(header:="ビル名", format:=Function(item) item.BUILDING_NAME), _
                    grid.Column(header:="削除", format:=Function(item) item.DISABLED) _
          ))
    @code
    End If
    End Code
End Using