﻿@ModelType MeetingRoomMVC4.ViewModelRoom
@Code
    ViewData("Title") = "会議室の編集"
    Layout = "~/Views/Shared/_Layout.vbhtml"

    Dim grid = New WebGrid(Nothing, rowsPerPage:=Model.PageSize, canPage:=True)
    If Not Model.ROOM Is Nothing Then
        grid.Bind(Model.ROOM, rowCount:=Model.ItemCount, autoSortAndPage:=False)
    End If
End Code

<h2>会議室の編集</h2>
@Using Html.BeginForm()
    ビル名：@Html.DropDownListFor(Function(m) m.BUILDING, Model.BUILDING_COMBOBOX)
    @<input type="submit" name="button" value="検索" />@<input type="submit" name="button" value="新規登録" />
    
    @code
        If Not Model.ROOM Is Nothing Then
    End Code
    @grid.GetHtml(tableStyle:="grid-table",
                    columns:=grid.Columns(
                    grid.Column(header:="編集", format:=Function(item) Html.ActionLink("編集", "EditRoom", New With {.id = item.SEQ_ID})), _
                    grid.Column(header:="SEQ_ID", format:=Function(item) item.SEQ_ID), _
                    grid.Column(header:="会議室名", format:=Function(item) item.ROOM_NAME), _
                    grid.Column(header:="コメント", format:=Function(item) item.COMMENT), _
                    grid.Column(header:="予約可能時間", format:=Function(item) item.START_TIME.ToString.Substring(0, 2) & ":" & item.START_TIME.ToString.Substring(2, 2) & "～" & item.END_TIME.ToString.Substring(0, 2) & ":" & item.END_TIME.ToString.Substring(2, 2)), _
                    grid.Column(header:="削除", format:=Function(item) item.DISABLED) _
          ))
    @code
    End If
    End Code
End Using