﻿@ModelType MeetingRoomMVC4.ViewModelReservationRoom 
@Code
    ViewData("Title") = "会議室の予約"
    Layout = "~/Views/Shared/_Layout.vbhtml"
End Code
@Scripts.Render("~/Scripts/reservation.js")
<h2>会議室の予約</h2>
@Using Html.BeginForm()
    @Html.ValidationSummary(False)
    @<table class="grid-table">
        <tr>
            <th>ビル名</th>
            <td>@Html.DropDownListFor(Function(m) m.BUILDING, Model.BUILDING_COMBOBOX)</td>
        </tr>
        <tr>
            <th>会議室名</th>
            <td>@Html.DropDownListFor(Function(m) m.ROOM, Model.ROOM_COMBOBOX)</td>
        </tr>
        <tr>
            <th>会議室コメント</th>
            <td>@Html.DisplayFor(Function(m) m.COMMENT)</td>
        </tr>
        <tr>
            <th>予約者</th>
            <td>@Html.TextBoxFor(Function(m) m.RESERVE_PERSON, New With {.maxlength = "40"})</td>
        </tr>
        <tr>
            <th>予約日付</th>
            <td>@Html.TextBoxFor(Function(m) m.RESERVE_DATE, New With {.class = "calendar"})</td>
        </tr>
        <tr>
            <th>予約時間</th>
            <td>@Html.DropDownListFor(Function(m) m.START_TIME, Model.START_TIME_COMBOBOX)～@Html.DropDownListFor(Function(m) m.END_TIME, Model.END_TIME_COMBOBOX)</td>
        </tr>
    </table>
    @<input type="submit" name="button" value="確認" />
End Using