﻿Public Class AnnotationMeetingRoom
    Public Const Required_ErrorMessage_BUILDING_NAME As String = "ビル名は必須項目です。"
    Public Const MaxLength_ErrorMessage_BUILDING_NAME As String = "ビル名は４０文字以内で入力してください。"
    Public Const IncludeSpecialCharacter_ErrorMessage_BUILDING_NAME As String = "ビル名に機種依存文字は使えません。"

    Public Const Required_ErrorMessage_ROOM_NAME As String = "会議室名は必須項目です。"
    Public Const MaxLength_ErrorMessage_ROOM_NAME As String = "会議室名は４０文字以内で入力してください。"
    Public Const IncludeSpecialCharacter_ErrorMessage_ROOM_NAME As String = "会議室名に機種依存文字は使えません。"

    Public Const Required_ErrorMessage_COMMENT As String = "コメントは必須項目です。"
    Public Const MaxLength_ErrorMessage_COMMENT As String = "コメントは２５６文字以内で入力してください。"
    Public Const IncludeSpecialCharacter_ErrorMessage_COMMENT As String = "コメントに機種依存文字は使えません。"

    Public Const StartEnd_ErrorMessage_TIME As String = "予約可能時間帯の指定が不正です。"

    Public Const Required_ErrorMessage_RESERVE_PERSON As String = "予約者名は必須項目です。"
    Public Const MaxLength_ErrorMessage_RESERVE_PERSON As String = "予約者名は４０文字以内で入力してください。"
    Public Const IncludeSpecialCharacter_ErrorMessage_RESERVE_PERSON As String = "予約者名に機種依存文字は使えません。"

    Public Const Required_ErrorMessage_RESERVE_DATE As String = "予約日時は必須項目です。"
    Public Const IsDate_ErrorMessage_RESERVE_DATE As String = "有効な予約日時でありません。"

    Public Const Required_ErrorMessage_OPERATOR_ID As String = "オペレータIDは必須項目です。"
    Public Const ExistsOperatorID_ErrorMessage_OPERATOR_ID As String = "指定のオペレータIDは既に登録されています。"
    Public Const IsAlphaNumeric_ErrorMessage_OPERATOR_ID As String = "オペレータIDは半角英数字で入力してください。"
    Public Const MaxLength_ErrorMessage_OPERATOR_ID As String = "オペレータIDは１０文字以内で入力してください。"

    Public Const Required_ErrorMessage_OPERATOR_NAME As String = "オペレータ名は必須項目です。"
    Public Const MaxLength_ErrorMessage_OPERATOR_NAME As String = "オペレータ名は２０文字以内で入力してください。"
    Public Const IncludeSpecialCharacter_ErrorMessage_OPERATOR_NAME As String = "オペレータ名に機種依存文字は使えません。"

    Public Const SelectRole_ErrorMessage_ROLE As String = "ロールは１つは選択してください。"

    Public Const Required_ErrorMessage_PASSWORD As String = "パスワードは必須項目です。"

    Public Const Required_ErrorMessage_PASSWORD2 As String = "パスワード（確認）は必須項目です。"

    Public Const ValidatePassword_ErrorMessage_PASSWORD As String = "パスワードは半角英数字6文字-20文字で入力してください。また、英大文字、英小文字、数字の3種類の文字を含む必要があります。"
    Public Const SameValue_ErrorMessage_PASSWORD As String = "パスワードとパスワード(確認)が異なっています"

    Public Const CorrectPassword_ErrorMessage_PASSWORD As String = "オペレータIDまたはパスワードが不正です。"

    Public Const Required_ErrorMessage_OLD_PASSWORD As String = "旧パスワードは必須項目です。"

    Public Const Required_ErrorMessage_NEW_PASSWORD As String = "新パスワードは必須項目です。"

    Public Const Required_ErrorMessage_NEW_PASSWORD2 As String = "新パスワード（確認）は必須項目です。"
    Public Const ValidatePassword_ErrorMessage_NEW_PASSWORD As String = "新パスワードは半角英数字6文字-20文字で入力してください。また、英大文字、英小文字、数字の3種類の文字を含む必要があります。"
    Public Const SameValue_ErrorMessage_NEW_PASSWORD As String = "新パスワードと新パスワード(確認)が異なっています"

End Class
