﻿Imports System.ComponentModel.DataAnnotations

Public Class ViewModelNewUser

    <Required(ErrorMessage:=AnnotationMeetingRoom.Required_ErrorMessage_OPERATOR_ID)> _
    <ExistsOperatorID(ErrorMessage:=AnnotationMeetingRoom.ExistsOperatorID_ErrorMessage_OPERATOR_ID)> _
    <IsAlphaNumeric(ErrorMessage:=AnnotationMeetingRoom.IsAlphaNumeric_ErrorMessage_OPERATOR_ID)> _
    <StringLength(10, ErrorMessage:=AnnotationMeetingRoom.MaxLength_ErrorMessage_OPERATOR_ID)>
    Public Property OPERATOR_ID As String

    <Required(ErrorMessage:=AnnotationMeetingRoom.Required_ErrorMessage_OPERATOR_NAME)> _
    <StringLength(20, ErrorMessage:=AnnotationMeetingRoom.MaxLength_ErrorMessage_OPERATOR_NAME)>
    <IncludeSpecialCharacter(ErrorMessage:=AnnotationMeetingRoom.IncludeSpecialCharacter_ErrorMessage_OPERATOR_NAME)>
    Public Property OPERATOR_NAME As String

    <SelectRole(ErrorMessage:=AnnotationMeetingRoom.SelectRole_ErrorMessage_ROLE)> _
    Public Property ROLE As Boolean()

    Public Property ROLE_CHECKBOXLIST As List(Of SelectListItem)
    Public Property ROLE_NAME As String

    <Required(ErrorMessage:=AnnotationMeetingRoom.Required_ErrorMessage_PASSWORD)> _
    <ValidatePassword(ErrorMessage:=AnnotationMeetingRoom.ValidatePassword_ErrorMessage_PASSWORD)>
    Public Property PASSWORD As String

    <Required(ErrorMessage:=AnnotationMeetingRoom.Required_ErrorMessage_PASSWORD2)> _
    <SameValue("PASSWORD", "PASSWORD2", ErrorMessage:=AnnotationMeetingRoom.SameValue_ErrorMessage_PASSWORD)> _
    Public Property PASSWORD2 As String

    Public Property MASKED_PASSWORD As String


End Class
