﻿Imports System.ComponentModel.DataAnnotations

Public Class ViewModelReservationConfirm
    Public Property BUILDING As Integer
    Public Property BUILDING_COMBOBOX As IEnumerable(Of SelectListItem)
    Public Property BUILDING_NAME As String

    <Required(ErrorMessage:=AnnotationMeetingRoom.Required_ErrorMessage_RESERVE_DATE)> _
    <IsDate(ErrorMessage:=AnnotationMeetingRoom.IsDate_ErrorMessage_RESERVE_DATE)>
    Public Property RESERVE_DATE As String

    Public Property RESERVATION As IEnumerable(Of ReservedInfo)
End Class

Public Class ReservedInfo
    Public Property RoomID As Integer
    Public Property RoomName As String
    Public Property ReserveDate As String
    Public Property ReservedState As Hashtable = New Hashtable
    Public Property IsReserved As Boolean
End Class
