﻿Imports System.ComponentModel.DataAnnotations

Public Class ViewModelReservationRoom
    Public Property BUILDING As Integer
    Public Property BUILDING_COMBOBOX As IEnumerable(Of SelectListItem)
    Public Property BUILDING_NAME As String

    Public Property ROOM As Integer
    Public Property ROOM_COMBOBOX As IEnumerable(Of SelectListItem)
    Public Property ROOM_NAME As String

    Public Property COMMENT As String

    <Required(ErrorMessage:=AnnotationMeetingRoom.Required_ErrorMessage_RESERVE_PERSON)> _
    <StringLength(40, ErrorMessage:=AnnotationMeetingRoom.MaxLength_ErrorMessage_RESERVE_PERSON)>
    <IncludeSpecialCharacter(ErrorMessage:=AnnotationMeetingRoom.IncludeSpecialCharacter_ErrorMessage_RESERVE_PERSON)>
    Public Property RESERVE_PERSON As String

    <Required(ErrorMessage:=AnnotationMeetingRoom.Required_ErrorMessage_RESERVE_DATE)> _
    <IsDate(ErrorMessage:=AnnotationMeetingRoom.IsDate_ErrorMessage_RESERVE_DATE)>
    Public Property RESERVE_DATE As String

    <StartEnd("START_TIME", "END_TIME", ErrorMessage:=AnnotationMeetingRoom.StartEnd_ErrorMessage_TIME)>
    Public Property START_TIME As String
    Public Property START_TIME_COMBOBOX As IEnumerable(Of SelectListItem)

    Public Property END_TIME As String
    Public Property END_TIME_COMBOBOX As IEnumerable(Of SelectListItem)

End Class
