﻿@ModelType MeetingRoomMVC4.ViewModelNewRoom　
@Code
    ViewData("Title") = "会議室の登録"
    Layout = "~/Views/Shared/_Layout.vbhtml"
End Code

<h2>会議室の登録</h2>
@Using Html.BeginForm()
    @Html.ValidationSummary(False)
    @<table class="grid-table">
        <tr>
            <th>会議室名</th>
            <td>@Html.TextBoxFor(Function(m) m.ROOM_NAME, New With {.maxlength = "40"})</td>
        </tr>
        <tr>
            <th>コメント</th>
            <td>@Html.TextBoxFor(Function(m) m.COMMENT, New With {.maxlength = "256"})</td>
        </tr>
        <tr>
            <th>ビル名</th>
            <td>@Html.DropDownListFor(Function(m) m.BUILDING, Model.BUILDING_COMBOBOX)</td>
        </tr>
        <tr>
            <th>予約可能時間帯</th>
            <td>@Html.DropDownListFor(Function(m) m.START_TIME, Model.START_TIME_COMBOBOX) ～ @Html.DropDownListFor(Function(m) m.END_TIME, Model.END_TIME_COMBOBOX)</td>
        </tr>
   </table>
    @<input type="submit" name="button" value="戻る" id="Cancel"/>@<input type="submit" name="button" value="確認" />
End Using