﻿@ModelType MeetingRoomMVC4.ViewModelReservationConfirm
@Code
    ViewData("Title") = "予約の確認"
End Code

<h2>予約の確認</h2>
@Using Html.BeginForm()
    @Html.ValidationSummary(False)
    @<table class="grid-table">
        <tr>
            <th>ビル名</th>
            <td>@Html.DropDownListFor(Function(m) m.BUILDING, Model.BUILDING_COMBOBOX)</td>
        </tr>
        <tr>
            <th>予約日付</th>
            <td>@Html.TextBoxFor(Function(m) m.RESERVE_DATE, New With {.class = "calendar"})</td>
        </tr>
    </table>
    @<input type="submit" name="button" value="検索" />
    @<table class="reservation-table">
        <tr>
            <td></td>
            @code
                For i As Integer = 0 To 23
            End Code
                <td colspan="2">
            @code
                @Html.Label(i.ToString() & ":00")
            End Code
                </td>
            @code
            Next
            End Code   
        </tr>
        @code
            If Not Model.RESERVATION Is Nothing Then
                For Each item As MeetingRoomMVC4.ReservedInfo In Model.RESERVATION
        End Code
        <tr>
            <td>
                @code
                    If item.IsReserved = True Then
                End Code
                    @Html.ActionLink(item.RoomName, "EditReservation", New With {.id = item.RoomID, .d = item.ReserveDate})
                @code
                Else
                End Code
                    @Html.Label(item.RoomName)
                @code
                End If
                End Code
            </td>
            @code
                For i As Integer = 0 To 23
                    For j As Integer = 0 To 59 Step 30
                        Dim tmp As String = String.Format("{0:00}{1:00}", i, j)
            End code
            <td>
            @code
                        If item.ReservedState.Item(tmp) = 1 Then
            End Code
                <img src="~/Content/image/reserve.jpg" alt="予約"/>
            @code
            End If
            End Code
            </td>
            @code
            Next
        Next
            End Code
        </tr>
        @code
        Next
        End If
        End Code
    </table> 
End Using