﻿<!DOCTYPE html>
<html lang="ja">
    <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta charset="utf-8" />
        <title>@ViewData("Title") - MeetingRoomアプリケーション</title>
        <link href="~/favicon.ico" rel="shortcut icon" type="image/x-icon" />
        <meta name="viewport" content="width=device-width" />
        @Styles.Render("~/Content/Site.css")
        @Styles.Render("~/Content/WebSite.css")
        @Styles.Render("~/Content/themes/base/jquery-ui.css")
        @Scripts.Render("~/Scripts/jquery-1.8.2.js")
        @Scripts.Render("~/Scripts/jquery-ui-1.8.24.js")
        @Scripts.Render("~/Scripts/jquery.validate.js")
        @Scripts.Render("~/Scripts/jquery.validate.unobtrusive.js")
        @Scripts.Render("~/Scripts/custom-validate.js")
        @Scripts.Render("~/Scripts/key-control.js")
        @Scripts.Render("~/Scripts/main.js")
    </head>
    <body>
        <header>
            <div class="content-wrapper">
                <div class="float-left">
                    <p class="site-title">会議室予約アプリケーション</p>
                </div>
            </div>
        </header>
        <div id="body">
            @RenderSection("featured", required:=false)
            <section class="content-wrapper main-content clear-fix">
                @code
                    Dim acc As MeetingRoomMVC4.AccountInfo = TryCast(Session("AccountInfo"), MeetingRoomMVC4.AccountInfo)
                    If Not acc Is Nothing Then
                End Code
                 <ul class="menu">              
                    <li>@Html.ActionLink("ホーム", "Index", "Home")</li>
                     @code
                             If acc.ROLE("Reservation") Then
                     End Code
                     <li>@Html.ActionLink("会議室の予約", "ReservationRoom", "Home")</li>
                     <li>@Html.ActionLink("予約の確認・キャンセル", "ReservationConfirm", "Home")</li>
                     @code
                             End If
                     End Code
                     @code
                             If acc.ROLE("Reservation Manager") Then
                     End Code
                     <li>@Html.ActionLink("会議室の編集", "EditMeetingRoom", "Home")</li>
                     @code
                             End If
                     End Code
                     @code
                            If acc.ROLE("User Manager") Then
                     End Code     
                     <li>@Html.ActionLink("ユーザ管理", "UserManager", "User")</li>
                    @code
                            End If
                    End Code
                    <li>@Html.ActionLink("ログアウト", "Logout", "Account")</li>
                </ul>
                @code
                    End If
                End Code
                @RenderBody()
            </section>
        </div>
        <footer>
            <div class="content-wrapper">
                <div class="float-left">
                    <p>Copyright (C) 2013 YOYOYOYO. All Rights Reserved.</p>
                </div>
            </div>
        </footer>

        @RenderSection("scripts", required:=False)
    </body>
</html>
