﻿@ModelType MeetingRoomMVC4.ViewModelNewUser 
@Code
    ViewData("Title") = "新規ユーザ登録"
    Layout = "~/Views/Shared/_Layout.vbhtml"
End Code

<h2>新規ユーザ登録</h2>
@Using Html.BeginForm()
    @Html.ValidationSummary(False)
    @<table class="grid-table">
            <tr>
                <th>オペレータID</th>
                <td>@Html.TextBoxFor(Function(m) m.OPERATOR_ID, New With {.maxlength = "20"})</td>
            </tr>
            <tr>
                <th>オペレータ名</th>
                <td>@Html.TextBoxFor(Function(m) m.OPERATOR_NAME, New With {.maxlength = "20"})</td>
            </tr>
            <tr>
                <th>ロール</th>
                <td>
                    @code
                        Dim i As Integer = 0
                        For Each item In Model.ROLE_CHECKBOXLIST
                    End Code
                        @Html.CheckBoxFor(Function(m) m.ROLE(i))@item.Text
                    @code
                        i = i + 1
                    Next
                    End Code
                </td>
            </tr>
            <tr>
                <th>パスワード</th>
                <td>@Html.PasswordFor(Function(m) m.PASSWORD, New With {.maxlength = "20"})</td>
            </tr>
            <tr>
                <th>パスワード(再入力)</th>
                <td>@Html.PasswordFor(Function(m) m.PASSWORD2, New With {.maxlength = "20"})</td>
            </tr>
        </table>
        @<br />
        @<input type="submit" name="button" value="戻る" id="Cancel" />
        @<input type="submit" name="button" value="確認" />
    
End Using 