﻿@ModelType MeetingRoomMVC4.ViewModelUser 
@Code
    ViewData("Title") = "ユーザー一覧"
    Layout = "~/Views/Shared/_Layout.vbhtml"
    Dim grid = New WebGrid(Nothing, rowsPerPage:=Model.PageSize, canPage:=True)
    If Not Model.MST_USER Is Nothing Then
        grid.Bind(Model.MST_USER, rowCount:=Model.ItemCount, autoSortAndPage:=False)
    End If
End Code

<h2>ユーザー一覧</h2>
@Using Html.BeginForm()
    @Html.ValidationSummary(False)
    オペレータID：@Html.TextBoxFor(Function(m) m.OPERATOR_ID, New With {.maxlength = "20"})
    @<input type="submit" name="button" value="検索" />
    @<input type="submit" name="button" value="新規登録" />
      @code
           If Not Model.MST_USER Is Nothing Then
    End Code
    @grid.GetHtml(tableStyle:="grid-table",
                    columns:=grid.Columns(
                    grid.Column(header:="編集", format:=Function(item) Html.ActionLink("編集", "EditUser", New With {.id = item.OPERATOR_ID})), _
                    grid.Column(header:="パスワード変更", format:=Function(item) Html.ActionLink("パスワード変更", "EditPassword", New With {.id = item.OPERATOR_ID})), _
                    grid.Column(header:="オペレータID", format:=Function(item) item.OPERATOR_ID), _
                    grid.Column(header:="オペレータ名", format:=Function(item) item.OPERATOR_NAME), _
                    grid.Column(header:="ロール", format:=Function(item) item.ROLE), _
                    grid.Column(header:="作成日時", format:=Function(item) item.DATE_CREATED), _
                    grid.Column(header:="ロック", format:=Function(item) If(item.LOCK = True, "True", "False")), _
                    grid.Column(header:="削除", format:=Function(item) If(item.DISABLED = True, "True", "False")) _
          ))
    @code
    End If
    End Code

End Using
